Skip to content

Assignment-Event-Group explained

OpenAPI Spec

GET
/v1/assignment-event-groups/spec

Get OpenAPI 3.1.0 spec for AssignmentEventGroup API

Responses

Returns OpenAPI 3.1.0 spec for AssignmentEventGroup API

application/json
JSON
{
}

Playground

Samples


List AssignmentEventGroups

GET
/v1/assignment-event-groups

List AssignmentEventGroups

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
typeId
assignmentId
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"note": "string",
"order": 0,
"typeId": 0,
"assignmentId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new AssignmentEventGroup

POST
/v1/assignment-event-groups

Create a new AssignmentEventGroup

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"note": null,
"order": 1,
"typeId": 0,
"assignmentId": 0,
"externalId": null
}

Responses

AssignmentEventGroup found

application/json
JSON
{
"id": 0,
"note": "string",
"order": 0,
"typeId": 0,
"assignmentId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Body

Samples


Get an AssignmentEventGroup

GET
/v1/assignment-event-groups/{assignmentEventGroupId}

Get an AssignmentEventGroup by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentEventGroupId*
Type
integer
Required
Format
"int32"

Responses

AssignmentEventGroup found

application/json
JSON
{
"id": 0,
"note": "string",
"order": 0,
"typeId": 0,
"assignmentId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete an AssignmentEventGroup

DELETE
/v1/assignment-event-groups/{assignmentEventGroupId}

Delete an AssignmentEventGroup by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentEventGroupId*
Type
integer
Required
Format
"int32"

Responses

Successfully removed

Playground

Server
Authorization
Variables
Key
Value

Samples


Update an AssignmentEventGroup

PATCH
/v1/assignment-event-groups/{assignmentEventGroupId}

Update an AssignmentEventGroup by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

assignmentEventGroupId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"note": "string",
"order": 0,
"typeId": 0,
"externalId": "string"
}

Responses

AssignmentEventGroup found

application/json
JSON
{
"id": 0,
"note": "string",
"order": 0,
"typeId": 0,
"assignmentId": 0,
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples